1. Hey Guest! We've announced our new game Wargroove, check out the new forums!
    Dismiss Notice

Tool SMAPI: Stardew Modding API

Discussion in 'Mods' started by ClxS, Mar 6, 2016.

  1. Oxyligen

    Oxyligen Poptop Tamer

    @Pathoschild You have also beta version for Modbuildconfig? Very convenient tool :)
     
    • Pathoschild

      Pathoschild Scruffy Nerf-Herder

      @Oxyligen Thanks! There's no need for a beta version of that, the build config package will automatically use the version of SMAPI you have installed. :)
       
        Oxyligen likes this.
      • Pathoschild

        Pathoschild Scruffy Nerf-Herder

        SMAPI 1.9 is now available for Linux, Mac, and Windows! SMAPI now has a smarter installer and simpler console messages, detects incompatible mods and disables them before they cause problems, no longer ignores mods unpacked a certain way, adds several improvements for mod creators, has major changes under the hood to prepare for upcoming features, and has many other improvements and fixes (see release notes).

        SMAPI 1.9 includes some breaking changes from the Stardew Valley 1.2 branch so mods can start getting ready for them. That shouldn't affect most mods, but a few may need updates. See SMAPI 1.9 migration guide.

        As always, feel free to post bugs/suggestions/comments in this thread. :)
         
          Last edited: Apr 12, 2017
          pvmambembe and MiyuDiana like this.
        • Smallcorners

          Smallcorners Space Penguin Leader

          Downloaded this, not in Beta, had the errors shown below which I will post in those mod threads.
          But, I did stop time, and took the minecart to the desert, which worked, but when I tried to take it back, the game blacked out, and started to buzz at me, it did this for a while and I just X'd out. The error log file did not show any errors.

          I think I will go back to the previous framework until the mods have been updated. Or if they have until I down load them.
           

            Attached Files:

          • Pathoschild

            Pathoschild Scruffy Nerf-Herder

            Hi @Smallcorners. You can update StackSplitX to 1.1, which is compatible with SMAPI 1.9. I contacted the author of Better Sprinklers to let them know the mod needs an update (and offered to update it for them if needed). Does the black screen still happen if you update Entoarox Framework?
             
            • Smallcorners

              Smallcorners Space Penguin Leader

              I am on the latest Framework, I just posted over there as I was also looking for updates, but did not see where one has been uploaded yet.

              I did grab StackSplitX, thank you!
              TimeSpeed's update still mentions only for Stardew 1.2 (beta), and I am not on that yet, is it safe to download?
               
              • Connymaus63

                Connymaus63 Tentacle Wrangler

                Hallo Pathoschild, das ist ganz Klasse, endlich bleiben die neuen Maschinen und ändern sich nicht mehr in Truhen nach dem speichern. Aber ich kann nicht mehr speichern von überall mit K? Wird "Save Anywhere" auch demnächst aktualisiert?
                 
                • Pathoschild

                  Pathoschild Scruffy Nerf-Herder

                  Last edited: Apr 5, 2017
                • Pathoschild

                  Pathoschild Scruffy Nerf-Herder

                  @Connymaus63: Save Anywhere should be compatible, but the author forgot to update the mod manifest. Try editing SaveAnywhere\manifest.json, and change "MinorVersion": 0 to "MinorVersion": 3. Does that work? I'll let the author know about the bug.
                   
                  • Smallcorners

                    Smallcorners Space Penguin Leader

                    Thank you!
                     
                    • Connymaus63

                      Connymaus63 Tentacle Wrangler

                      [QUOTE = "Pathoschild, Post: 3142571, Mitglied: 704178"] [USER = 777801] @ Connymaus63 [/ USER]: Save Anywhere sollte kompatibel sein, aber der Autor hat vergessen, das Mod Manifest zu aktualisieren. Versuchen Sie, SaveAnywhere \ manifest.json zu bearbeiten und ändern Sie "MinorVersion": 0 bis "MinorVersion": 3 . Funktioniert es? Ich lasse den Autor über den Fehler wissen. [/ QUOTE]
                      Das ist fantastisch, es hat funktioniert. Vielen lieben Dank Pathoschild.
                       
                        Pathoschild likes this.
                      • fengfeng1992

                        fengfeng1992 Aquatic Astronaut

                      • otterpus

                        otterpus Poptop Tamer

                        entoaroxerror.png

                        So anything that uses the Entoarox Framework is going to break with the next update?
                         
                        • Smallcorners

                          Smallcorners Space Penguin Leader

                          Also not supported by SMAPI 1.9, according to Entoarox is Extended Minecart 1.6.0.
                          I do have a notice on that thread about this.
                           
                          • Pathoschild

                            Pathoschild Scruffy Nerf-Herder

                            @otterpus: Nope. That deprecated code will keep working until SMAPI 2.0, which means @Entoarox still has time to update the code.

                            @Smallcorners: I clarified that SMAPI 1.9 is the current release for Stardew Valley 1.11 in that thread. SMAPI 1.9-beta was originally for the unreleased Stardew Valley 1.2 beta, which is probably why he said it was unsupported.
                             
                              otterpus likes this.
                            • Pathoschild

                              Pathoschild Scruffy Nerf-Herder

                              Today's Stardew Valley 1.2.20 beta should work fine with SMAPI 1.10 beta. :)
                               
                                khai9999 likes this.
                              • majoralfred

                                majoralfred Void-Bound Voyager

                                Hey, umm. Sorry to ask a question, you might think it's weird... but i am currently in china, and I cna't download the file that you post for modding. because, it doesn't seems that the website is allowed in china. Can you sent it by mail by anychance? here is my outlookmail: jorshkan1999@outlook.com. I will appreciate if you can send it.
                                 
                                • khai9999

                                  khai9999 Orbital Explorer

                                  Github website doesn't even allowed in China? Man...those gorvernment..
                                  Use vpn dude..
                                   
                                    Last edited: Apr 8, 2017
                                  • Pathoschild

                                    Pathoschild Scruffy Nerf-Herder

                                    Hi @majoralfred. I sent you a temporary download link via direct message; does that one work? I suggest removing your email address from your last message to avoid spam though. :)
                                     
                                    • Bolle-Boos

                                      Bolle-Boos Space Hobo

                                      Animal Sitter and Horse Whistle also got a warning that they'll break in a future update of SMAPI. Animal Sitter was very useful so hopefully it'll get updated!!
                                       

                                      Share This Page